LDmicro0.2
MICRO=Atmel AVR ATmega16 40-PDIP
CYCLE=4000 us at Timer1, YPlcCycleDuty:0, ConfigurationWord(s):0x0
CRYSTAL=10000000 Hz
BAUD=2400 Hz, RATE=0 Hz, SPEED=100000 Hz
COMPILED=D:\Programmation\Ladder\Programmes\Tests\AvrGcc\AvrStudio\Src\test-i2c.c

VAR LIST
    1 bytes Cbool 	Now not used !!!
    1 bytes Ccount 	Now not used !!!
    1 bytes Cdigit 	Now not used !!!
    2 bytes Cnew 	Now not used !!!
    2 bytes Cstate 	Now not used !!!
    2 bytes Hello 	Now not used !!!
    2 bytes I2C 	Now not used !!!
    2 bytes I2C1 	Now not used !!!
    2 bytes I2C2 	Now not used !!!
    2 bytes SPI 	Now not used !!!
    2 bytes SPI1 	Now not used !!!
    2 bytes SPI2 	Now not used !!!
    1 bytes T1 	Now not used !!!
    1 bytes T2 	Now not used !!!
    1 bytes Tdelai1 	Now not used !!!
    1 bytes Tdelai2 	Now not used !!!
    1 bytes Tdelay 	Now not used !!!
    2 bytes Tnew 	Now not used !!!
    1 bytes Toff 	Now not used !!!
    1 bytes Ton 	Now not used !!!
    2 bytes Tosc_off 	Now not used !!!
    2 bytes Tosc_on 	Now not used !!!
    2 bytes Ttempo 	Now not used !!!
    2 bytes alpha 	Now not used !!!
    2 bytes bool 	Now not used !!!
    2 bytes char 	Now not used !!!
  129 bytes char7seg 	Now not used !!!
    1 bytes char7seg[0] 	Now not used !!!
    2 bytes code 	Now not used !!!
    2 bytes count 	Now not used !!!
    2 bytes cycle 	Now not used !!!
    2 bytes dest 	Now not used !!!
    2 bytes digit 	Now not used !!!
    2 bytes digit0 	Now not used !!!
    2 bytes digit1 	Now not used !!!
    2 bytes duty_cycle 	Now not used !!!
    2 bytes hou 	Now not used !!!
    2 bytes inch 	Now not used !!!
    2 bytes min 	Now not used !!!
    2 bytes outch 	Now not used !!!
    2 bytes recv 	Now not used !!!
    2 bytes sec 	Now not used !!!
    2 bytes send 	Now not used !!!
    2 bytes src 	Now not used !!!
    2 bytes totototo 	Now not used !!!
    2 bytes totototoffg 	Now not used !!!
    2 bytes var 	Now not used !!!
    2 bytes x06 	Now not used !!!
    2 bytes x3F 	Now not used !!!
END

IO LIST
    Xbutton at 40 0 0
    Yseg_a at 14 0 0
    Yseg_b at 15 0 0
    Yseg_c at 16 0 0
    Yseg_d at 17 0 0
    Yseg_e at 18 0 0
    Yseg_f at 19 0 0
    Yseg_g at 20 0 0
    Yselect at 21 0 0
    I2C_SCL at 22 0 0
    I2C_SDA at 23 0 0
END

PROGRAM
RUNG 1
  COMMENT Sample program: how to drive a multiplexed 7-segment LED display. \r\nThis is for a 2-digit common-anode display
END
RUNG 2
  COMMENT With a 4 ms cycle time, it should be okay\r\n
END
RUNG 3
  CONTACTS Rdosc 1 0
  COIL Rdosc 0 0 0 0
END
RUNG 4
  CONTACTS Rdosc 0 0
  CTC Ccount 1 0 /
END
RUNG 5
  COMMENT Use Yselect to drive the base/gate of the transistor used to select display
END
RUNG 6
  EQU Ccount 0
  PARALLEL
    MOVE digit digit0
    COIL Yselect 0 0 0 0
  END
END
RUNG 7
  EQU Ccount 1
  PARALLEL
    MOVE digit digit1
    COIL Yselect 1 0 0 0
  END
END
RUNG 8
  COMMENT You can drive the segment pins of the display directly from the GPIO pins,\r\nYseg_a to Yseg_b.
END
RUNG 9
  PARALLEL
    SERIES
      NEQ digit 1
      NEQ digit 4
      COIL Yseg_a 1 0 0 0
    END
    SERIES
      NEQ digit 5
      NEQ digit 6
      COIL Yseg_b 1 0 0 0
    END
    SERIES
      NEQ digit 2
      COIL Yseg_c 1 0 0 0
    END
    SERIES
      NEQ digit 1
      NEQ digit 4
      NEQ digit 7
      COIL Yseg_d 1 0 0 0
    END
    SERIES
      PARALLEL
        EQU digit 0
        EQU digit 2
        EQU digit 6
        EQU digit 8
      END
      COIL Yseg_e 1 0 0 0
    END
    SERIES
      NEQ digit 1
      NEQ digit 2
      NEQ digit 3
      NEQ digit 7
      COIL Yseg_f 1 0 0 0
    END
    SERIES
      NEQ digit 0
      NEQ digit 1
      NEQ digit 7
      COIL Yseg_g 1 0 0 0
    END
  END
END
RUNG 10
  COMMENT Fill in your program here; just set the output that you want on digit0 and digit1\r\nConnect a DS1307 real time clock to I2C1
END
RUNG 11
  I2C_RD I2C - sec Master 0x68 0 MSB 100000
  BCD2BIN sec sec
END
RUNG 12
  DIV digit0 sec 10
END
RUNG 13
  MOD digit1 sec 10
END
RUNG 14
  COMMENT Push button to reset seconds
END
RUNG 15
  CONTACTS Xbutton 1 0
  I2C_WR I2C 0 - Master 0x68 0 MSB 100000
END
